POST /launcher/send-custom-activity
Send a custom activity event for the user

Header Parameters

X-Request-Nonce string optional header
Random string identifier for request (for signature verification)
X-Request-Signature string optional header
MD5 hash for request verification

Request Body required

application/json
launcherJwt string REQUIRED
label string REQUIRED
Activity label, can include {username} and {wallet} placeholders
eventId string REQUIRED
Event identifier for grouping

Responses

200 Successful response
application/json
success boolean
activity object
_id string
label string
normalizedAddress string
timestamp integer (int64)
eventId string
gameId string
400 Bad Request
401 Unauthorized
curl -X POST 'https://api.basement.fun/launcher/send-custom-activity' \  -H 'Content-Type: application/json' \  -d '{  "launcherJwt": "string",  "label": "string",  "eventId": "string"}'
const response = await fetch('https://api.basement.fun/launcher/send-custom-activity', {  method: 'POST',  headers: {      "Content-Type": "application/json"  },  body: JSON.stringify({    "launcherJwt": "string",    "label": "string",    "eventId": "string"  })});const data = await response.json();console.log(data);
import requestsresponse = requests.post('https://api.basement.fun/launcher/send-custom-activity', json={  "launcherJwt": "string",  "label": "string",  "eventId": "string"})print(response.json())
200 Response
{  "success": true,  "activity": {    "_id": "<string>",    "label": "<string>",    "normalizedAddress": "<string>",    "timestamp": 123,    "eventId": "<string>",    "gameId": "<string>"  }}
Ask a question... ⌘I